Get metrics for leverage/multiply vaults
curl --request GET \
--url https://api.kamino.finance/kamino-market/{pubkey}/leverage/metricsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kamino-market/{pubkey}/leverage/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kamino-market/{pubkey}/leverage/metrics"
response = requests.get(url)
print(response.text)false[
{
"avgLeverage": "1234.56789",
"totalBorrowed": "1234.56789",
"totalDeposited": "1234.56789",
"totalBorrowedUsd": "1234.56789",
"totalObligations": "<string>",
"totalDepositedUsd": "1234.56789",
"tvl": "1234.56789",
"updatedOn": "2023-11-07T05:31:56Z",
"depositReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"borrowReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"tag": "Multiply"
}
]{
"error": "An internal error occurred"
}Market Data
Get metrics for leverage/multiply vaults
Get aggregated metrics for all leverage and multiply positions in a Kamino Lending market, including average leverage, total borrowed, total deposited, and number of obligations.
GET
/
kamino-market
/
{pubkey}
/
leverage
/
metrics
Get metrics for leverage/multiply vaults
curl --request GET \
--url https://api.kamino.finance/kamino-market/{pubkey}/leverage/metricsconst options = {method: 'GET'};
fetch('https://api.kamino.finance/kamino-market/{pubkey}/leverage/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kamino-market/{pubkey}/leverage/metrics"
response = requests.get(url)
print(response.text)false[
{
"avgLeverage": "1234.56789",
"totalBorrowed": "1234.56789",
"totalDeposited": "1234.56789",
"totalBorrowedUsd": "1234.56789",
"totalObligations": "<string>",
"totalDepositedUsd": "1234.56789",
"tvl": "1234.56789",
"updatedOn": "2023-11-07T05:31:56Z",
"depositReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"borrowReserve": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"tag": "Multiply"
}
]{
"error": "An internal error occurred"
}Path Parameters
Market public key
Example:
"7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF"
Query Parameters
Solana cluster environment
Available options:
mainnet-beta, devnet, localnet Example:
"mainnet-beta"
Response
OK
Average leverage
Example:
"1234.56789"
Total borrowed amount
Example:
"1234.56789"
Total deposited amount
Example:
"1234.56789"
Total borrowed in USD
Example:
"1234.56789"
Total number of obligations
Total deposited in USD
Example:
"1234.56789"
Total Value Locked
Example:
"1234.56789"
Last update timestamp
Deposit reserve public key
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Borrow reserve public key
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
Tag (Multiply or Leverage)
Example:
"Multiply"